Bug 1090752 - Scrolling in libreoffice writer is really slow and seems to make Xorg take up a lot of CPU
Scrolling in libreoffice writer is really slow and seems to make Xorg take up...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
20
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-04-24 01:22 EDT by Ankur Sinha (FranciscoD)
Modified: 2016-01-29 03:40 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-07 09:54:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 80498 None None None Never

  None (edit)
Description Ankur Sinha (FranciscoD) 2014-04-24 01:22:24 EDT
Description of problem:
I'm proof reading a 21 page document in libreoffice writer. It is a research paper and contains quite a few graphs etc. Scrolling in writer is painfully slow, makes libreoffice unresponsive quite a few times. When libreoffice is unresponsive, looking at htop tells me that Xorg is consuming high CPU cycles. Sometimes, just clicking on the document to make a change also causes this.

I've tried both touchpad scrolling and using the libreoffice buttons (navigator mode and the button in the right bottom corner.)

I've increased the image cache as suggested here:
http://ask.libreoffice.org/en/question/93/images-slow-down-performace/

Version-Release number of selected component (if applicable):
libreoffice-writer-4.2.3.3-6.fc20.x86_64

How reproducible:
Frequently

Steps to Reproduce:
1. Open a large document with figures
2. Scroll, click, use normally.
3.

Actual results:
Gets hung frequently. 

Expected results:
Should scroll seamlessly without getting hung again and again

Additional info:
xorg-x11-server-Xorg-1.14.4-7.fc20.x86_64

fpaste --sysinfo output -> http://paste.fedoraproject.org/96462/31683713


Unfortunately, the document is a research paper under review and I cannot attach it to the bugreport yet.
Comment 1 mari+bugzilla 2014-05-27 11:55:56 EDT
That's no specific problem with redhat or the Xserver. I have the same problem with ubuntu 14.04. In fact at this time LibreOffice is unusable with big images (e.g. 600dpi full page gray tiff).

Today I verified that OpenOffice 4.1 does not have this problem. Same images are scrolling more then 10 times faster and I saw a message from another user who sayed that this bug in LibreOffice started with version 4.0 while version 3.6 is as fast as OpenOffice.
Comment 2 Michael Stahl 2014-08-07 09:54:08 EDT
the slow scrolling in writer when images are visible was fixed
in releases LO 4.2.6 and 4.3.1
Comment 3 mari+bugzilla 2015-04-20 10:09:11 EDT
because of the comment of michael i did the same test again using LO 4.3.6 and 4.4.2. Unfortunally the slow scrolling hasn't gone away. Either the bug was reintroduced again after version 4.3.1 or we are talking about different bugs.
Comment 4 Erik Verheul 2015-10-30 12:22:11 EDT
This problem still exists in Version: 5.0.2.2. Both in Write and Calc.
Comment 5 Cristiano Duarte 2016-01-28 11:48:07 EST
(In reply to Michael Stahl from comment #2)
> the slow scrolling in writer when images are visible was fixed
> in releases LO 4.2.6 and 4.3.1

Please reopen this bug report, because this problem still exists in Version 5.0.4.2-3 of LibreOffice.

System:
  - HP Z620 Workstation 2 Intel(R) Xeon(R) CPU E5-2640 0 @ 2.50GHz (12 cores) with 16GB RAM
  - Fedora Core 23 x86_64
  - libreoffice-writer-5.0.4.2-3.fc23.x86_64

Scrolling a document with 38 pages is lagging, and while it happens the Xorg process CPU usage stays between 60% and 100%, depending on what is being rendered by Libreoffice.
Tried to increase memory configurations in Libreoffice, but it didn't help with the scrolling lags and slow rendering.

Here are the reports using different configurations of hardware acceleration, antialiasing and OpenGL:

a) with HA=off AA=off and OGL=off
scrolling lags a bit and rendering is slow. Xorg, while scrolling, stays at 60% CPU.

b) with HA=on AA=off and OGL=off
scrolling lags a bit and rendering is slow. Xorg, while scrolling, stays at 60% CPU.

c) with HA=on AA=on and OGL=off
scrolling lags and rendering is slow. Xorg, while scrolling, stays at 73% CPU.

d) with HA=on AA=on and OGL=on
scrolling lags and rendering is slow. Xorg, while scrolling, stays at 75% CPU.

e) with HA=on AA=on and OGL=on (and force OGL=on)
scrolling lags and rendering is slow. Xorg, while scrolling, stays at 75% CPU.

The document does not have big images. Some info on the document used:

Archive:  PETIC Censipam.odt
  Length      Date    Time    Name
---------  ---------- -----   ----
       39  01-28-2016 14:54   mimetype
     3804  01-28-2016 14:54   Thumbnails/thumbnail.png
      999  01-28-2016 14:54   layout-cache
    50427  01-28-2016 14:54   styles.xml
        0  01-28-2016 14:54   Configurations2/accelerator/current.xml
        0  01-28-2016 14:54   Configurations2/floater/
        0  01-28-2016 14:54   Configurations2/menubar/
        0  01-28-2016 14:54   Configurations2/toolbar/
        0  01-28-2016 14:54   Configurations2/progressbar/
        0  01-28-2016 14:54   Configurations2/statusbar/
        0  01-28-2016 14:54   Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Configurations2/popupmenu/
        0  01-28-2016 14:54   Configurations2/toolpanel/
        0  01-28-2016 14:54   Object 16/Configurations2/statusbar/
        0  01-28-2016 14:54   Object 16/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 16/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 16/Configurations2/progressbar/
        0  01-28-2016 14:54   Object 16/Configurations2/toolbar/
        0  01-28-2016 14:54   Object 16/Configurations2/floater/
        0  01-28-2016 14:54   Object 16/Configurations2/menubar/
        0  01-28-2016 14:54   Object 16/Configurations2/toolpanel/
     1050  01-28-2016 14:54   meta.xml
     6700  01-28-2016 14:54   Object 15/settings.xml
      436  01-28-2016 14:54   Object 15/content.xml
        0  01-28-2016 14:54   Object 15/Configurations2/toolpanel/
        0  01-28-2016 14:54   Object 15/Configurations2/accelerator/current.xml
        0  01-28-2016 14:54   Object 15/Configurations2/menubar/
        0  01-28-2016 14:54   Object 15/Configurations2/floater/
        0  01-28-2016 14:54   Object 15/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 15/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 15/Configurations2/statusbar/
        0  01-28-2016 14:54   Object 15/Configurations2/progressbar/
        0  01-28-2016 14:54   Object 15/Configurations2/toolbar/
     6701  01-28-2016 14:54   Object 19/settings.xml
      478  01-28-2016 14:54   Object 19/content.xml
        0  01-28-2016 14:54   Object 19/Configurations2/progressbar/
        0  01-28-2016 14:54   Object 19/Configurations2/toolbar/
        0  01-28-2016 14:54   Object 19/Configurations2/menubar/
        0  01-28-2016 14:54   Object 19/Configurations2/floater/
        0  01-28-2016 14:54   Object 19/Configurations2/statusbar/
        0  01-28-2016 14:54   Object 19/Configurations2/toolpanel/
        0  01-28-2016 14:54   Object 19/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 19/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 19/Configurations2/accelerator/current.xml
    67906  01-28-2016 14:54   Pictures/2000087B0000452700001E7BF03B1C77188F7C84.svm
   289204  01-28-2016 14:54   Pictures/10000000000006B8000003C13A107B4E37832866.png
    85714  01-28-2016 14:54   Pictures/100000000000020700000207610FF62A249D521B.gif
    12715  01-28-2016 14:54   settings.xml
      899  01-28-2016 14:54   manifest.rdf
     6701  01-28-2016 14:54   Object 17/settings.xml
      540  01-28-2016 14:54   Object 17/content.xml
        0  01-28-2016 14:54   Object 17/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 17/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 17/Configurations2/toolbar/
        0  01-28-2016 14:54   Object 17/Configurations2/progressbar/
        0  01-28-2016 14:54   Object 17/Configurations2/accelerator/current.xml
        0  01-28-2016 14:54   Object 17/Configurations2/statusbar/
        0  01-28-2016 14:54   Object 17/Configurations2/menubar/
        0  01-28-2016 14:54   Object 17/Configurations2/floater/
        0  01-28-2016 14:54   Object 17/Configurations2/toolpanel/
     6701  01-28-2016 14:54   Object 11/settings.xml
      497  01-28-2016 14:54   Object 11/content.xml
        0  01-28-2016 14:54   Object 11/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 11/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 11/Configurations2/toolbar/
        0  01-28-2016 14:54   Object 11/Configurations2/progressbar/
        0  01-28-2016 14:54   Object 11/Configurations2/statusbar/
        0  01-28-2016 14:54   Object 11/Configurations2/accelerator/current.xml
        0  01-28-2016 14:54   Object 11/Configurations2/menubar/
        0  01-28-2016 14:54   Object 11/Configurations2/floater/
        0  01-28-2016 14:54   Object 11/Configurations2/toolpanel/
     6701  01-28-2016 14:54   Object 6/settings.xml
      474  01-28-2016 14:54   Object 6/content.xml
        0  01-28-2016 14:54   Object 6/Configurations2/statusbar/
        0  01-28-2016 14:54   Object 6/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 6/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 6/Configurations2/menubar/
        0  01-28-2016 14:54   Object 6/Configurations2/floater/
        0  01-28-2016 14:54   Object 6/Configurations2/toolpanel/
        0  01-28-2016 14:54   Object 6/Configurations2/accelerator/current.xml
        0  01-28-2016 14:54   Object 6/Configurations2/toolbar/
        0  01-28-2016 14:54   Object 6/Configurations2/progressbar/
     6701  01-28-2016 14:54   Object 12/settings.xml
      497  01-28-2016 14:54   Object 12/content.xml
        0  01-28-2016 14:54   Object 12/Configurations2/floater/
        0  01-28-2016 14:54   Object 12/Configurations2/menubar/
        0  01-28-2016 14:54   Object 12/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 12/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 12/Configurations2/toolpanel/
        0  01-28-2016 14:54   Object 12/Configurations2/accelerator/current.xml
        0  01-28-2016 14:54   Object 12/Configurations2/statusbar/
        0  01-28-2016 14:54   Object 12/Configurations2/progressbar/
        0  01-28-2016 14:54   Object 12/Configurations2/toolbar/
     6701  01-28-2016 14:54   Object 13/settings.xml
      474  01-28-2016 14:54   Object 13/content.xml
        0  01-28-2016 14:54   Object 13/Configurations2/floater/
        0  01-28-2016 14:54   Object 13/Configurations2/menubar/
        0  01-28-2016 14:54   Object 13/Configurations2/statusbar/
        0  01-28-2016 14:54   Object 13/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 13/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 13/Configurations2/toolpanel/
        0  01-28-2016 14:54   Object 13/Configurations2/accelerator/current.xml
        0  01-28-2016 14:54   Object 13/Configurations2/progressbar/
        0  01-28-2016 14:54   Object 13/Configurations2/toolbar/
        0  01-28-2016 14:54   Object 14/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 14/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 14/Configurations2/statusbar/
        0  01-28-2016 14:54   Object 14/Configurations2/toolpanel/
        0  01-28-2016 14:54   Object 14/Configurations2/toolbar/
        0  01-28-2016 14:54   Object 14/Configurations2/progressbar/
        0  01-28-2016 14:54   Object 14/Configurations2/floater/
        0  01-28-2016 14:54   Object 14/Configurations2/menubar/
        0  01-28-2016 14:54   Object 18/Configurations2/progressbar/
        0  01-28-2016 14:54   Object 18/Configurations2/toolbar/
        0  01-28-2016 14:54   Object 18/Configurations2/toolpanel/
        0  01-28-2016 14:54   Object 18/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 18/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 18/Configurations2/statusbar/
        0  01-28-2016 14:54   Object 18/Configurations2/floater/
        0  01-28-2016 14:54   Object 18/Configurations2/menubar/
     6701  01-28-2016 14:54   Object 2/settings.xml
      713  01-28-2016 14:54   Object 2/content.xml
        0  01-28-2016 14:54   Object 2/Configurations2/popupmenu/
        0  01-28-2016 14:54   Object 2/Configurations2/images/Bitmaps/
        0  01-28-2016 14:54   Object 2/Configurations2/floater/
        0  01-28-2016 14:54   Object 2/Configurations2/menubar/
        0  01-28-2016 14:54   Object 2/Configurations2/accelerator/current.xml
        0  01-28-2016 14:54   Object 2/Configurations2/toolpanel/
        0  01-28-2016 14:54   Object 2/Configurations2/toolbar/
        0  01-28-2016 14:54   Object 2/Configurations2/progressbar/
        0  01-28-2016 14:54   Object 2/Configurations2/statusbar/
    14135  01-28-2016 14:54   META-INF/manifest.xml
   990397  01-28-2016 14:54   content.xml
      400  01-28-2016 14:54   Object 4/content.xml
     6699  01-28-2016 14:54   Object 4/settings.xml
      400  01-28-2016 14:54   Object 10/content.xml
     6700  01-28-2016 14:54   Object 10/settings.xml
     6699  01-28-2016 14:54   Object 5/settings.xml
      400  01-28-2016 14:54   Object 5/content.xml
     2686  01-28-2016 14:54   ObjectReplacements/Object 2
     2999  01-28-2016 14:54   ObjectReplacements/Object 18
     1583  01-28-2016 14:54   ObjectReplacements/Object 9
     1583  01-28-2016 14:54   ObjectReplacements/Object 8
     1583  01-28-2016 14:54   ObjectReplacements/Object 7
     1899  01-28-2016 14:54   ObjectReplacements/Object 6
     1583  01-28-2016 14:54   ObjectReplacements/Object 1
     2215  01-28-2016 14:54   ObjectReplacements/Object 17
     1899  01-28-2016 14:54   ObjectReplacements/Object 13
     1899  01-28-2016 14:54   ObjectReplacements/Object 14
     1570  01-28-2016 14:54   ObjectReplacements/Object 15
     2999  01-28-2016 14:54   ObjectReplacements/Object 16
     1902  01-28-2016 14:54   ObjectReplacements/Object 12
     1902  01-28-2016 14:54   ObjectReplacements/Object 11
     1583  01-28-2016 14:54   ObjectReplacements/Object 5
     1583  01-28-2016 14:54   ObjectReplacements/Object 10
     1583  01-28-2016 14:54   ObjectReplacements/Object 4
     1583  01-28-2016 14:54   ObjectReplacements/Object 3
     1899  01-28-2016 14:54   ObjectReplacements/Object 19
      715  01-28-2016 14:54   Object 16/content.xml
        0  01-28-2016 14:54   Object 16/Configurations2/accelerator/current.xml
     6701  01-28-2016 14:54   Object 16/settings.xml
      400  01-28-2016 14:54   Object 3/content.xml
     6699  01-28-2016 14:54   Object 3/settings.xml
      400  01-28-2016 14:54   Object 1/content.xml
     6699  01-28-2016 14:54   Object 1/settings.xml
      400  01-28-2016 14:54   Object 7/content.xml
     6699  01-28-2016 14:54   Object 7/settings.xml
      400  01-28-2016 14:54   Object 8/content.xml
     6700  01-28-2016 14:54   Object 8/settings.xml
        0  01-28-2016 14:54   Object 14/Configurations2/accelerator/current.xml
      474  01-28-2016 14:54   Object 14/content.xml
     6701  01-28-2016 14:54   Object 14/settings.xml
      400  01-28-2016 14:54   Object 9/content.xml
     6699  01-28-2016 14:54   Object 9/settings.xml
      715  01-28-2016 14:54   Object 18/content.xml
        0  01-28-2016 14:54   Object 18/Configurations2/accelerator/current.xml
     6701  01-28-2016 14:54   Object 18/settings.xml
---------                     -------
  1690339                     177 files
Comment 6 David Tardon 2016-01-29 03:40:59 EST
Please open a new bug instead of reusing an old closed one that looks similar.

Note You need to log in before you can comment on or make changes to this bug.